#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

string( REPLACE ${TQT_CXX_FLAGS} "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)


##### antlr (static) ############################

tde_add_library( antlr STATIC_PIC
  SOURCES
    ANTLRException.cpp ASTFactory.cpp ASTRefCount.cpp BaseAST.cpp
    BitSet.cpp CharBuffer.cpp CharScanner.cpp CommonAST.cpp
    CommonASTWithHiddenTokens.cpp CommonHiddenStreamToken.cpp
    CommonToken.cpp InputBuffer.cpp LLkParser.cpp
    LexerSharedInputState.cpp MismatchedCharException.cpp
    MismatchedTokenException.cpp NoViableAltException.cpp
    NoViableAltForCharException.cpp Parser.cpp ParserSharedInputState.cpp
    RecognitionException.cpp String.cpp Token.cpp TokenBuffer.cpp
    TokenStreamBasicFilter.cpp TokenStreamHiddenTokenFilter.cpp
    TokenStreamSelector.cpp TreeParser.cpp TreeParserSharedInputState.cpp
)
